Package org.kapott.hbci.sepa.jaxb.camt_052_001_05

# Class CardSecurityInformation1

java.lang.Object
org.kapott.hbci.sepa.jaxb.camt_052_001_05.CardSecurityInformation1

public class CardSecurityInformation1 extends Object

Java class for CardSecurityInformation1 complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CardSecurityInformation1">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="CSCMgmt" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}CSCManagement1Code"/>
             <element name="CSCVal" type="{urn:iso:std:iso:20022:tech:xsd:camt.052.001.05}Min3Max4NumericText" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

## Field Summary

Fields
Modifier and Type
Field
Description
`protected CSCManagement1Code`
`cscMgmt`
`protected String`
`cscVal`

## Constructor Summary

Constructors
Constructor
Description
`CardSecurityInformation1()`

## Method Summary

Modifier and Type
Method
Description
`CSCManagement1Code`
`getCSCMgmt()`
Gets the value of the cscMgmt property.
`String`
`getCSCVal()`
Gets the value of the cscVal property.
`void`
`setCSCMgmt(CSCManagement1Code value)`
Sets the value of the cscMgmt property.
`void`
`setCSCVal(String value)`
Sets the value of the cscVal property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### cscMgmt

protected CSCManagement1Code cscMgmt

### cscVal

protected String cscVal

## Constructor Details

### CardSecurityInformation1

public CardSecurityInformation1()

## Method Details

### getCSCMgmt

public CSCManagement1Code getCSCMgmt()
Gets the value of the cscMgmt property.

Returns:
  possible object is `CSCManagement1Code`

### setCSCMgmt

public void setCSCMgmt(CSCManagement1Code value)
Sets the value of the cscMgmt property.

Parameters:
  `value` - allowed object is `CSCManagement1Code`

### getCSCVal

public String getCSCVal()
Gets the value of the cscVal property.

Returns:
  possible object is `String`

### setCSCVal

public void setCSCVal(String value)
Sets the value of the cscVal property.

Parameters:
  `value` - allowed object is `String`